Cloud APIs
/- DrillPlan
AEA API
- /aea/v1/results/jobs/{job_id}
/aea/v1/agents
/aea/v1/results/{job_id}
/aea/v1/results/jobs
/aea/v1/results/jobs/{job...
Security
(bearer and appkey) or (sauth_service_token and appkey)
- ProdEUhttps://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/jobs/{job_id}
- ProdUShttps://api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/jobs/{job_id}
- Mock serverhttps://developer.slb.com/_mock/solutions/drillplan/apis/drillplan-aea-api/aea/v1/results/jobs/{job_id}
curl -i -X GET \
'https://eu-api.delfi.slb.com/drillplan/aea/v1/aea/v1/results/jobs/{job_id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'appkey: YOUR_API_KEY_HERE' \
-H 'slb-partition-id: string'Success
calculationsArray of objects or null(Calculation)
Response
{
"calculations": [
{
"calculation_id": "string",
"status": "New",
"scope_id": "string",
"agent": {
"name": "string",
"version": "string",
"agent_id": "string"
}
}
],
"job_id": "string",
"plan_id": "string",
"scope_id": "string",
"plan_version": 0,
"finished": true
}